## org.eclipse.emf.ecoretools.diagram.part
Class DiagramEditorContextMenuProvider

    java.lang.Object
      org.eclipse.jface.action.ContributionManager
          org.eclipse.jface.action.MenuManager
              org.eclipse.gef.ContextMenuProvider
                  org.eclipse.gmf.runtime.diagram.ui.providers.DiagramContextMenuProvider
                      org.eclipse.emf.ecoretools.diagram.part.DiagramEditorContextMenuProvider

All Implemented Interfaces:
  org.eclipse.jface.action.IContributionItem, org.eclipse.jface.action.IContributionManager, org.eclipse.jface.action.IMenuListener, org.eclipse.jface.action.IMenuManager

    public class DiagramEditorContextMenuProvider

extends org.eclipse.gmf.runtime.diagram.ui.providers.DiagramContextMenuProvider

Field Summary

Fields inherited from class org.eclipse.jface.action.MenuManager
`visible`

Constructor Summary
`DiagramEditorContextMenuProvider(org.eclipse.ui.IWorkbenchPart part, org.eclipse.gef.EditPartViewer viewer)`

Method Summary
`void` `buildContextMenu(org.eclipse.jface.action.IMenuManager menu)`
`void` `dispose()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.providers.DiagramContextMenuProvider
`addDefaultExclusions, allowItem, getActionRegistry, getExclusionSet, setExclusionSet`

Methods inherited from class org.eclipse.gef.ContextMenuProvider
`getViewer, menuAboutToShow, setViewer`

Methods inherited from class org.eclipse.jface.action.MenuManager

`addMenuListener, createContextMenu, createMenuBar, createMenuBar, doItemFill, fill, fill, fill, fill, findMenuUsingPath, findUsingPath, getId, getImageDescriptor, getMenu, getMenuItem, getMenuItemCount, getMenuItems, getMenuText, getOverrides, getParent, getRemoveAllWhenShown, isDynamic, isEnabled, isGroupMarker, isSeparator, isSubstituteFor, isVisible, markDirty, menuExist, removeMenuListener, saveWidgetState, setActionDefinitionId, setOverrides, setParent, setRemoveAllWhenShown, setVisible, update, update, update, update, updateAll`

Methods inherited from class org.eclipse.jface.action.ContributionManager
`add, add, appendToGroup, appendToGroup, dumpStatistics, find, getItems, getSize, hasDynamicItems, indexOf, indexOf, insert, insertAfter, insertAfter, insertBefore, insertBefore, internalSetItems, isDirty, isEmpty, itemAdded, itemRemoved, prependToGroup, prependToGroup, remove, remove, removeAll, replaceItem, setDirty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IContributionManager
`add, add, appendToGroup, appendToGroup, find, getItems, insertAfter, insertAfter, insertBefore, insertBefore, isDirty, isEmpty, prependToGroup, prependToGroup, remove, remove, removeAll`

Methods inherited from interface org.eclipse.jface.action.IContributionItem
`isDirty`

Constructor Detail

### DiagramEditorContextMenuProvider

    public DiagramEditorContextMenuProvider(org.eclipse.ui.IWorkbenchPart part,
                                            org.eclipse.gef.EditPartViewer viewer)

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.action.IContributionItem`
  Overrides:
    `dispose` in class `org.eclipse.jface.action.MenuManager`

### buildContextMenu

    public void buildContextMenu(org.eclipse.jface.action.IMenuManager menu)

  Overrides:
    `buildContextMenu` in class `org.eclipse.gmf.runtime.diagram.ui.providers.DiagramContextMenuProvider`

Copyright 2007 Anyware Technologies. All Rights Reserved.